import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import {HomeComponent} from './pages/home/home.component';
import {RegisterComponent} from './pages/register/register.component';
import {LoginComponent} from './pages/login/login.component';
import {AuthGuard} from './helpers';
import {UserProfileComponent} from './pages/user-profile/user-profile.component';
import {BuyTombstoneComponent} from './pages/buy-tombstone/buy-tombstone.component';
import {CheckTombstoneComponent} from './pages/check-tombstone/check-tombstone.component';
import {TombstoneComponent} from './pages/tombstone/tombstone.component';
import { CemeteryComponent } from './pages/cemetery/cemetery.component';

const routes: Routes = [
  { path: '', component: HomeComponent },
  { path: 'login', component: LoginComponent },
  { path: 'register', component: RegisterComponent },
  { path: 'user-profile', component: UserProfileComponent },
  { path: 'buyTombstone', component: BuyTombstoneComponent },
  { path: 'check-tombstone', component: CheckTombstoneComponent },
  { path: 'tombstone/:id', component: TombstoneComponent},
  { path: 'cemetery', component: CemeteryComponent},
  // otherwise redirect to home
  { path: '**', redirectTo: '' }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
