import { Component, OnInit } from '@angular/core';
import {TombstoneService} from '../../services/tombstone.service';
import {ActivatedRoute, Router} from '@angular/router';

@Component({
  selector: 'app-cemetery',
  templateUrl: './cemetery.component.html',
  styleUrls: ['./cemetery.component.scss']
})
export class CemeteryComponent implements OnInit {
  private tombstones: any;

  constructor(private tombstoneService: TombstoneService,
              private route: ActivatedRoute,
              private router: Router) { }

  ngOnInit() {
    this.getTombstones();
  }

  getTombstones = () =>
    this.tombstoneService
      .getTombstones()
      .subscribe(res =>(this.tombstones = res, console.log(res)));

  goToTombstone(id: string){
    this.router.navigate(['/tombstone', id]);
  }
}
