import { Component, OnInit } from '@angular/core';
import {MatTableDataSource} from '@angular/material';
import { TombstoneService } from '../../services/tombstone.service';
import {MDBModalRef, MDBModalService} from 'angular-bootstrap-md';
import {ModalComponent} from '../../components/modal/modal.component';
import {Tombstone} from '../../model/tombstone.model';
import {ActivatedRoute, Router} from '@angular/router';

@Component({
  selector: 'app-check-tombstone',
  templateUrl: './check-tombstone.component.html',
  styleUrls: ['./check-tombstone.component.scss']
})
export class CheckTombstoneComponent implements OnInit {
  modalRef: MDBModalRef;

  displayedColumns: string[] = ['position', 'name', 'weight'];
  private dataSource: MatTableDataSource<any>;
  private username: any;
  private x: any;
  private myTombstones = [];
  private tombstones: any;

  constructor(private tombstoneService: TombstoneService,
              private modalService: MDBModalService,
              private route: ActivatedRoute,
              private router: Router) { }

  ngOnInit() {
    const user = localStorage.getItem('currentUser');
    const userName = JSON.parse(user)
    this.username = userName.username;
    this.getTombstones()
      // const tombstones = localStorage.getItem('tombstones');
    //   const jsonValue = JSON.parse(this.tombstones)
    //
    // // tslint:disable-next-line:prefer-for-of
    //   for (let i = 0; i < jsonValue.length; i++) {
    //     // tslint:disable-next-line:triple-equals
    //     if (jsonValue[i].userName == this.username) {
    //       this.myTombstones.push(jsonValue[i]);
    //     }
    //   }
    //   this.dataSource = new MatTableDataSource(this.tombstones);

  }

  getTombstones = () =>
    this.tombstoneService
      .getTombstones()
      .subscribe(res =>(this.tombstones = res, console.log(res)));


  applyFilter(filterValue: string) {
    this.dataSource.filter = filterValue.trim().toLowerCase();
  }

  // openModal(size: string, userName: string, petName: string, photoUrl: string, description: string) {
  //   // let model = new Tombstone(size,userName,petName,photoUrl,description)
  //   this.modalRef = this.modalService.show(ModalComponent);
  // }

  goToTombstone(id: string){
    this.router.navigate(['/tombstone', id]);
  }
}
