import { Component, OnInit } from '@angular/core';
import {ActivatedRoute} from '@angular/router';
import {TombstoneService} from '../../services/tombstone.service';
import {Comment} from '../../model/comment.model';
import {CommentServiceService} from '../../services/comment-service.service';
import {Tombstone} from '../../model/tombstone.model';

@Component({
  selector: 'app-tombstone',
  templateUrl: './tombstone.component.html',
  styleUrls: ['./tombstone.component.scss']
})
export class TombstoneComponent implements OnInit {
  id: string;
  private sub: any;
  private x: any;
  private tombstones: any;
  myTextArea = 'Tu wpisz komentarz';
  username: string;
  private comments: any;

  constructor(private tombstoneService: TombstoneService,
              private route: ActivatedRoute,
              private commentService: CommentServiceService) { }

  ngOnInit() {
    this.sub = this.route.params.subscribe(params => {
      this.id = params['id']; // (+) converts string 'id' to a number
      console.log(this.id);
      // In a real app: dispatch action to load the details here.
    });

    this.getTombstone(this.id)
    this.getComment()
  }

  // tslint:disable-next-line:use-lifecycle-interface
  ngOnDestroy() {
    this.sub.unsubscribe();
  }

  getUserName() {
    const user = localStorage.getItem('currentUser');
    const jsonValue = JSON.parse(user)
    console.log(jsonValue);
    this.username = jsonValue.username;
    return this.username
  }

  getTombstone(id){
    this.tombstoneService
      .getTombstones()
      .subscribe(res =>(this.tombstones = res, console.log(res)));
  }

  getComment(){
    this.commentService
      .getComment()
      .subscribe(res =>(this.comments = res, console.log(res)));
  }

  addComment(){
    const comment = new Comment(this.getUserName(), this.id, this.myTextArea)

    this.commentService.createComment(comment)
  }

}
