import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { BehaviorSubject, Observable } from 'rxjs';
import { map } from 'rxjs/operators';

let tombstones = JSON.parse(localStorage.getItem('tombstones')) || [];

@Injectable({ providedIn: 'root' })
export class AuthenticationService {
  private currentUserSubject: BehaviorSubject<any>;
  public currentUser: Observable<any>;


  constructor(private http: HttpClient) {
    this.currentUserSubject = new BehaviorSubject<any>(JSON.parse(localStorage.getItem('currentUser')));
    this.currentUser = this.currentUserSubject.asObservable();
  }

  public get currentUserValue() {
    return this.currentUserSubject.value;
  }

  login(username, password) {
    return this.http.post<any>(`http://localhost:4000 /users/authenticate`, { username, password })
      .pipe(map(user => {
        // store user details and jwt token in local storage to keep user logged in between page refreshes
        localStorage.setItem('currentUser', JSON.stringify(user));
        this.currentUserSubject.next(user);
        return user;
      }));
  }

  logout() {
    // remove user from local storage and set current user to null
    localStorage.removeItem('currentUser');
    this.currentUserSubject.next(null);
  }

  buyTombstone(x, y, username){
    let id = tombstones.length ? Math.max(...tombstones.map(x => x.id)) + 1 : 1;
    // console.log(tombstones)
    let tombstone = {petName: x, size: y, id: id, userName: username}
    // console.log(tombstone)
    tombstones.push(tombstone);
    console.log(tombstones)
    localStorage.setItem('tombstones', JSON.stringify(tombstones));
  }
}
