import { Injectable } from '@angular/core';
import { AngularFirestore } from '@angular/fire/firestore';
import { Tombstone } from '../model/tombstone.model';
import { AngularFireDatabase, AngularFireList } from 'angularfire2/database';

@Injectable({
  providedIn: 'root'
})
export class TombstoneService {

  constructor(private firestore: AngularFirestore) { }

  getTombstones() {
    console.log(this.firestore.collection('tombstones'))
    return this.firestore.collection('tombstones').snapshotChanges();
  }

  createTombstone(tombstone: Tombstone) {
    return this.firestore.collection('tombstones').add(JSON.parse(JSON.stringify(tombstone)));
  }

  updateTombstone(policy: Tombstone) {
    // delete policy.id;
    // this.firestore.doc('tombstones/' + policy.id).update(policy);
  }

  deleteTombstone(policyId: string) {
    // this.firestore.doc('tombstones/' + policyId).delete();
  }

  getTombstoneById(id: string) {
    console.log(this.firestore.doc('tombstones/' + id).get())
    return this.firestore.doc('tombstones/' + id).get();
  }
}
